QConstString(3qt)

NAME
QConstString - A QString which uses constant Unicode data

SYNOPSIS

#include <qstring.h>

  Public Members
QConstString ( QChar * unicode, uint length )
~QConstString ()
const QString& string () const

DESCRIPTION
A QString which uses constant Unicode data.

In order to minimize copying, highly optimized applications can use QConstString to provide a QString-compatible object from existing Unicode data. It is then the user's responsibility to make sure that the Unicode data must exist for the entire lifetime of the QConstString object.

MEMBER FUNCTION DOCUMENTATION

QConstString::QConstString ( QChar * unicode, uint length )
Constructs a QConstString that uses the first length Unicode characters in the array unicode. Any attempt to modify copies of the string will cause it to create a copy of the data, thus it remains forever unmodified.

Note that unicode is not copied. The caller must be able to guarantee that unicode will not be deleted or modified. Since that is generally not the case with const strings (they are references), this constructor demands a non-const pointer even though it never modifies unicode.

QConstString::~QConstString ()
Destroys the QConstString, creating a copy of the data if other strings are still using it.

const QString& QConstString::string () const
Returns a constant string referencing the data passed during construction.

SEE ALSO
http://doc.trolltech.com/qconststring.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.